Rated 1 out of 5 stars

Not working in firefox 55.0.3

This review is for a previous version of the add-on (2.1.0.5.3). 

Hi! As Firefox 57 arrives next week, I have just uploaded the new 3.0 version, which is compatible with Firefox 57 and newer versions. I hope you will continue to make good use of it.